%define upstream_name    XML-XPathScript
%define upstream_version 2.00

%global __requires_exclude perl\\(Apache\\)|perl\\(Apache::AxKit::Cache\\)|perl\\(Apache::AxKit::CharsetConv\\)|perl\\(Apache::AxKit::Exception\\)|perl\\(Apache::AxKit::Language\\)|perl\\(Apache::AxKit::Provider\\)|perl\\(Apache::File\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A Perl framework for XML stylesheets
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Clone)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Readonly)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::Parser)
BuildRequires: perl(XML::XPath)
BuildRequires: perl(XML::XPath::Node)
BuildRequires: perl(XML::XPath::NodeSet)
BuildRequires: perl(XML::XPath::XMLParser)
BuildRequires: perl(base)
BuildRequires: perl(bytes)
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
%{upstream_name} is an XML templating language that has some concepts from ASP
and some from XSLT. This makes for a very flexible option for transforming
XML to HTML or text or just about any other format.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/*/*
%{perl_vendorlib}/XML


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.0.0-4.mga10
+ Revision: 2209103
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 2.0.0-3.mga9
+ Revision: 1819481
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 2.0.0-2.mga8
+ Revision: 1526920
- Mageia 8 Mass Rebuild

* Sat Jul 06 2019 tv <tv> 2.0.0-1.mga8
+ Revision: 1418995
- update to 2.00

* Thu Sep 20 2018 umeabot <umeabot> 1.550.0-2.mga7
+ Revision: 1287333
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 shlomif <shlomif> 1.550.0-1.mga7
+ Revision: 1239040
- New version 1.55

* Sun Jun 19 2016 pterjan <pterjan> 1.540.0-16.mga6
+ Revision: 1036172
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.540.0-15.mga6
+ Revision: 931976
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.540.0-14.mga5
+ Revision: 745262
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.540.0-13.mga5
+ Revision: 686977
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Jun 06 2014 jquelin <jquelin> 1.540.0-12.mga5
+ Revision: 633980
- perl 5.20 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 1.540.0-11.mga5
+ Revision: 606114
- perl 5.18.2 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.540.0-10.mga4
+ Revision: 525789
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 jquelin <jquelin> 1.540.0-9.mga4
+ Revision: 434514
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 1.540.0-8.mga3
+ Revision: 403852
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.540.0-7.mga3
+ Revision: 375228
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.540.0-6.mga3
+ Revision: 315059
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 1.540.0-5.mga3
+ Revision: 283586
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 1.540.0-4.mga3
+ Revision: 254319
- rebuild to fix new shebang with perl 5.16

* Fri Oct 14 2011 jquelin <jquelin> 1.540.0-3.mga2
+ Revision: 155147
- perl 5.14.2 rebuild

* Sun Jun 19 2011 jquelin <jquelin> 1.540.0-2.mga2
+ Revision: 109901
- rebuild script for perl 5.14.1

* Sat Jan 22 2011 jquelin <jquelin> 1.540.0-1.mga1
+ Revision: 32552
- mageia rebuild
- imported package perl-XML-XPathScript


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.540.0-1mdv2010.0
+ Revision: 408258
- rebuild using %%perl_convert_version

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.54-1mdv2009.0
+ Revision: 270417
- update to new version 1.54

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.53-4mdv2009.0
+ Revision: 258882
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.53-3mdv2009.0
+ Revision: 246785
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.53-1mdv2008.1
+ Revision: 135950
- update to new version 1.53

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.52-1mdv2008.0
+ Revision: 52531
- update to new version 1.52

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.50-1mdv2008.0
+ Revision: 47923
- fix build dependencies
- update to new version 1.50

* Mon Apr 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.49-1mdv2008.0
+ Revision: 19391
-New version


* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 20:58:30 (59655)
- 1.45

* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 20:50:10 (59654)
Import perl-XML-XPathScript

* Fri Aug 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.44-1mdv2007.0
- new version 
- fix sources URL
- fix license

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.41-1mdv2007.0
- New version 1.41

* Wed May 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.01-2mdk
- Fix According to perl Policy
    - BuildRequires

* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdk
- New release 1.01
- spec cleanup
- fix source URL

* Tue Jan 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.16-1mdk
- New release 0.16
- fix source to make rpmbuilupdate friendly

* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.15-2mdk
- Fix BuildRequires

* Mon Jul 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.15-1mdk
- 0.15

* Wed Nov 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.14-2mdk
- Remove requires for AxKit modules

* Tue Nov 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.14-1mdk
- 0.14

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.11-2mdk
- own dir

* Fri Jan 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.11-1mdk
- 0.11
- add url tag

